StartupEvents.registry('block', event => {
  event.create('temporary_geological_anchor')
    .displayName('临时地质锚点')
    .hardness(-1.0)                            // 硬度 -1.0 会使方块无法挖掘（与原版基岩一致）
    .resistance(3600000.0)                     // 极高爆炸抗性
    .noDrops()                                  // 方块被破坏时不会有任何掉落物
    //.pistonBehavior("block")                      // 关键：不可被活塞推动
    .textureAll('kubejs:block/temporary_geological_anchor') // 六面相同纹理
  event.create('infinite_geological_anchor')
    .displayName('永久地质锚点')
    .hardness(-1.0)                            // 硬度 -1.0 会使方块无法挖掘（与原版基岩一致）
    .resistance(3600000.0)                     // 极高爆炸抗性
    .noDrops()                                  // 方块被破坏时不会有任何掉落物
    //.pistonBehavior("block")                      // 关键：不可被活塞推动
    .textureAll('kubejs:block/infinite_geological_anchor') // 六面相同纹理
})